iCalendlyDeveloper Docs
Event types private links

POSTCreate a private link for an event type

POST/v2/event-types/{eventTypeId}/private-links

Request Body

application/jsonRequired
expiresAtstring

Expiration date for time-based links

Format: "date-time"
maxUsageCountnumber

Maximum number of times the link can be used. If omitted and expiresAt is not provided, defaults to 1 (one time use).

Default: 1Minimum: 1

Path Parameters

eventTypeIdRequirednumber

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/event-types/0/private-links" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "expiresAt": "2024-12-31T23:59:59.000Z",
    "maxUsageCount": 10
  }'

{
  "status": "success",
  "data": {
    "linkId": "abc123def456",
    "eventTypeId": 123,
    "isExpired": false,
    "bookingUrl": "https://cal.com/d/abc123def456/30min",
    "expiresAt": "2025-12-31T23:59:59.000Z"
  }
}